html,body,svg{
  margin:0;
  padding:0;
}
html,body{
  width:100%;
  height:100%;
  overflow:hidden;
  background:#aaa;
}
#myLayer{
  position:absolute;
  margin:0;
  padding:0;
  z-index:10;
  width:100%;
  height:100%;
}

/* SVG style */
svg{
  transform-origin: top center;
}
.water{
  fill:#eee;
  stroke:#ffffff;
  stroke-width:0.3;
}
.others{
  fill:#888;
  stroke:#ffffff;
  stroke-width:0.3;
}
.learning{
  fill:#222;
  stroke:#ffffff;
  stroke-width:0.3;
}
.active{
  fill:#f00;
  stroke:#ffffff;
  stroke-width:0.3;
}
.learnt{
  fill:#666;
  stroke:#ffffff;
  stroke-width:0.3;
}
svg text{
  user-select: none;
}

/* Credits style */
#credit{
  position:absolute;
  bottom:0;
  right:0;
  color:#222;
  font-size:.15rem;
  /*background:linear-gradient(transparent, #aaa 50%);*/
  background:rgba(255,255,255,0.8);
  margin:0;
  padding:0 .3rem;
  display: table-cell;
  vertical-align: bottom;
  z-index:200;
  user-select: none;
}
#credit a{
  color:#55f;
  text-decoration:none
}

/* Dialog box style */
.ui-button-text{
  user-select: none;
}
.ui-dialog-titlebar{
  display:none;
}
.ui-dialog ul{
  list-style:none;
  padding-left:0;
}

#opening, #ending, #recommend{
  display:none;
}
.ui-dialog #opening, .ui-dialog #ending, .ui-dialog #recommend{
  display:block;
}
.ui-dialog h1, .ui-dialog h2{
  font-size:1em;
}
.ui-dialog footer{
  width:100%;
  text-align:center;
}
#recommend ul{
  list-style: circle;
  margin-left:2em;
}
#recommend a{
  color:#55f;
}
#ansBox h1{
  width:100%;
  text-align:center;
  margin-bottom:0;
}
#ansBox p{
  width:100%;
  text-align:center;
  margin-top:.5rem;
}
#ansBox p ruby{
  ruby-position:under;
}
#ansBox .flag{
  filter:drop-shadow(0 0 5px rgba(0,0,0,0.3));
  margin:auto;
}

#ansBox dl{
  font-size:0.7em;
  color:gray;
  width:100%;
  display:flex;
  flex-wrap: wrap;
  box-sizing: border-box;
}
#ansBox dt{
  width:40%;
  text-align:right;
  margin:0;
  box-sizing: border-box;
}
#ansBox dd{
  width:60%;
  margin:0;
  box-sizing: border-box;
}
